monad-abort-fd: A better error monad transformer

[ bsd3, control, library ] [ Propose Tags ]

This package provides automated lifting of operations via functional dependencies for the transformers-abort package.

Versions 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.6.1, 0.6.2, 0.7
Dependencies base (>=4.3 && <5), mtl (>=2.0), transformers (>=0.2), transformers-abort (>=0.4), transformers-base (>=0.4), transformers-compat (>=0.5) [details]
License BSD-3-Clause
Copyright 2011-2016 Mikhail Vorozhtsov <mikhail.vorozhtsov@gmail.com>
Author Mikhail Vorozhtsov <mikhail.vorozhtsov@gmail.com>
Maintainer Mikhail Vorozhtsov <mikhail.vorozhtsov@gmail.com>
Category Control
Home page https://github.com/mvv/monad-abort-fd
Bug tracker https://github.com/mvv/monad-abort-fd/issues
Source repo head: git clone https://github.com/mvv/monad-abort-fd.git
Uploaded by MikhailVorozhtsov at Thu Dec 7 19:52:48 UTC 2017
Distributions NixOS:0.7
Downloads 2114 total (20 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2017-12-07 [all 1 reports]
Hackage Matrix CI

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees